function plotAll(time, trajAll, sim)
%    1:1 ---------------- kinetic energy
%    2:2 ---------------- potential energy
%    3:20 --------------- pext
%   21:38 --------------- Gn * pn
%   39:56 --------------- Gf * pf
%   57:74 --------------- nu
%   75:95 --------------- u
%   96:107 -------------- Psi_n
%  108:119 -------------- s
%  120:131 -------------- pn
%  132:131 + 12*sim.nd -- pf

% figure;
% plot(time,trajAll(1,:), time,trajAll(2,:), time,trajAll(1,:)+trajAll(2,:));
% title('Energy vs Time');
% legend('Kinetic', 'Potential', 'Total');

% figure;
% plot(time,trajAll(3:20,:))
% title('Impulse of External Wrench vs Time');
% legend('b1Fx', 'b1Fy', 'b1Fz', 'b1Tx', 'b1Ty', 'b1Tz', ...
%        'b2Fx', 'b2Fy', 'b2Fz', 'b2Tx', 'b2Ty', 'b2Tz', ...
%        'b3Fx', 'b3Fy', 'b3Fz', 'b3Tx', 'b3Ty', 'b3Tz');

% figure;
% plot(time,trajAll(21:26,:));
% title('Sphere1:  Impulse of Normal Contact Wrench vs Time');
% legend('Fx', 'Fy', 'Fz', 'Tx', 'Ty', 'Tz');

figure;
plot(time,trajAll(27:32,:));
title('Sphere2:  Impulse of Normal Contact Wrench vs Time');
legend('Fx', 'Fy', 'Fz', 'Tx', 'Ty', 'Tz');

% figure;
% plot(time,trajAll(33:38,:));
% title('Sphere3:  Impulse of Normal Contact Wrench vs Time');
% legend('Fx', 'Fy', 'Fz', 'Tx', 'Ty', 'Tz');

% figure;
% plot(time,trajAll(39:44,:))
% title('Sphere1:  Impulse of Net Friction Contact Wrench vs Time');
% legend('Fx', 'Fy', 'Fz', 'Tx', 'Ty', 'Tz');

figure;
plot(time,trajAll(45:50,:))
title('Sphere2:  Impulse of Net Friction Contact Wrench vs Time');
legend('Fx', 'Fy', 'Fz', 'Tx', 'Ty', 'Tz');

% figure;
% plot(time,trajAll(51:56,:))
% title('Sphere3:  Impulse of Net Friction Contact Wrench vs Time');
% legend('Fx', 'Fy', 'Fz', 'Tx', 'Ty', 'Tz');

% figure;
% plot(time,trajAll(57:62,:))
% title('Body1 Velocity vs Time');
% legend('vx', 'vy', 'vz', 'wx', 'wy', 'wz');

figure;
plot(time,trajAll(63:68,:))
title('Body2 Velocity vs Time');
legend('vx', 'vy', 'vz', 'wx', 'wy', 'wz');

% figure;
% plot(time,trajAll(69:74,:))
% title('Body3 Velocity vs Time');
% legend('vx', 'vy', 'vz', 'wx', 'wy', 'wz');

% figure;
% plot(time,trajAll(75:81,:))
% title('Body1 Configuration vs Time');
% legend('x', 'y', 'z', 'ep0', 'ep1', 'ep2', 'ep3');

figure;
plot(time,trajAll(82:88,:))
title('Body2 Configuration vs Time');
legend('x', 'y', 'z', 'ep0', 'ep1', 'ep2', 'ep3');

% figure;
% plot(time,trajAll(89:95,:))
% title('Body3 Configuration vs Time');
% legend('x', 'y', 'z', 'ep0', 'ep1', 'ep2', 'ep3');

% figure;
% plot(trajAll(75,:),trajAll(76,:), trajAll(82,:), ...
%      trajAll(83,:), trajAll(89,:),trajAll(90,:))
% title('Body Trajectories Projected onto (x,y)-Plane');
% legend('Sphere1', 'Sphere2', 'Sphere3');

% figure;
% plot3(trajAll(75,:),trajAll(76,:),trajAll(77,:), ...
%      trajAll(82,:),trajAll(83,:),trajAll(84,:), ...
%      trajAll(89,:),trajAll(90,:),trajAll(91,:))
% title('Body Trajectories in Space');
% legend('Sphere1', 'Sphere2', 'Sphere3');

% figure;
% plot(time,trajAll([96 98:101],:))
% title('Sphere1:  Distance Functions vs Time');
% legend('Sph2', 'Sph3', 'Pln1', 'Pln2', 'Pln3');

figure;
plot(time,trajAll([96 97 102 103 104],:))
title('Sphere2:  Distance Functions vs Time');
legend('Sph1', 'Sph3', 'Pln1', 'Pln2', 'Pln3');

% figure;
% plot(time,trajAll([97 98 105:107],:))
% title('Sphere3:  Distance Functions vs Time');
% legend('Sph1', 'Sph2', 'Pln1', 'Pln2', 'Pln3');

% figure;
% plot(time,trajAll([108 110:113],:))
% title('Sphere1:  Sliding Indicators vs Time');
% legend('Sph2', 'Sph3', 'Pln1', 'Pln2', 'Pln3');

figure;
plot(time,trajAll([108 109 114:116],:))
title('Sphere2:  Sliding Indicators vs Time');
legend('Sph3', 'Sph1', 'Pln1', 'Pln2', 'Pln3');

% figure;
% plot(time,trajAll([109 110 117:119],:))
% title('Sphere3:  Sliding Indicators vs Time');
% legend('Sph1', 'Sph2', 'Pln1', 'Pln2', 'Pln3');

% figure;
% plot(time,trajAll([120 122:125],:))
% title('Sphere1:  Normal Impulses vs Time');
% legend('Sph2', 'Sph3', 'Pln1', 'Pln2', 'Pln3');

figure;
plot(time,trajAll([120 121 126:128],:))
title('Sphere2:  Normal Impulses vs Time');
legend('Sph3', 'Sph1', 'Pln1', 'Pln2', 'Pln3');

% figure;
% plot(time,trajAll([121 122 129:131],:))
% title('Sphere3:  Normal Impulses vs Time');
% legend('Sph1', 'Sph2', 'Pln1', 'Pln2', 'Pln3');

% figure;
% plot(time,trajAll(132:131 + 12*sim.nd,:))
% title('Friction Impulses vs Time');
end